from flask import Blueprint, make_response

from endpoints.decorators import anon_protect, anon_allowed


v1_bp = Blueprint('v1', __name__)


# Note: This is *not* part of the Docker index spec. This is here for our own health check,
# since we have nginx handle the _ping below.
@v1_bp.route('/_internal_ping')
@anon_allowed
def internal_ping():
  return make_response('true', 200)


@v1_bp.route('/_ping')
@anon_allowed
def ping():
  # NOTE: any changes made here must also be reflected in the nginx config
  response = make_response('true', 200)
  response.headers['X-Docker-Registry-Version'] = '0.6.0'
  response.headers['X-Docker-Registry-Standalone'] = '0'
  return response


from endpoints.v1 import index
from endpoints.v1 import registry
from endpoints.v1 import tag